/******************************************************
 ***** Instellingen opslaan/ophalen in/uit EEPROM *****
 ******************************************************/

void schrijfEEPROM()
{
  byte addr = 2;  // adres in EEPROM, met ++ automatisch ophogen
  EEPROM.write(addr++, huisCode);
  for (byte i = 0; i < 16; i++) EEPROM.write(addr++, ontvangers[SCHAKEL][i]);
  for (byte i = 0; i < 16; i++) EEPROM.write(addr++, ontvangers[DIMMER][i]);
  EEPROM.write(addr++, zonOffset);
  EEPROM.write(addr++, ochtend);
  EEPROM.write(addr++, avond);
  EEPROM.write(addr++, aanUur);
  EEPROM.write(addr++, aanMinuut);
  EEPROM.write(addr++, uitUur);
  EEPROM.write(addr++, uitMinuut);
}

void leesEEPROM()
{
  byte addr = 2;
  huisCode = EEPROM.read(addr++);
  for (byte i = 0; i < 16; i++) ontvangers[SCHAKEL][i] = EEPROM.read(addr++);
  for (byte i = 0; i < 16; i++) ontvangers[DIMMER][i] = EEPROM.read(addr++);
  zonOffset = EEPROM.read(addr++);
  ochtend = EEPROM.read(addr++);
  avond = EEPROM.read(addr++);
  aanUur = EEPROM.read(addr++);
  aanMinuut = EEPROM.read(addr++);
  uitUur = EEPROM.read(addr++);
  uitMinuut = EEPROM.read(addr++);
}


