/*************************************************************************************
 ***** Screen Neer/Op werkt op basis van gemeten licht en de kamertemperatuur    *****
 *************************************************************************************/

#ifdef SCREEN

//#include <MCP9701temp.h>
//#include <GL5528lux.h>

void meetSens(boolean verwerken)
{
  /* meet gem. temp en lux over "loop() + 10 x delay(n) in loop()" voor LCD
   * meet gem. temp en lux over 10min. voor schakelen (anti jojo) */
  /*****  gemiddelde temp en lux over 10x loop() *****/
  saveSens[TEMP_1][telSens_1] = Temp.getTemp();  // temp en lux voor gemiddelde berekening uit 10x opslaan
  saveSens[LUX_1][telSens_1] = Lux.getLux();
  telSens_1++;  // teller voor lus met 1 ophogen
  if (telSens_1 > 9) telSens_1 = 0;  // array vol? van plaats 10(=9) naar plaats 1(=0)
  temp = 0;  // temp en lux leegmaken
  lux = 0;
  for (byte i = 0; i < 10; i++)
  {  // totalen in temp en lux zetten
    temp += saveSens[TEMP_1][i];  // temp optellen
    lux += saveSens[LUX_1][i];  // lux optellen
  }
  temp = temp / 10;  // gemidelden temp voor saveSens[TEMP_2][n] en LCD 
  lux = lux / 10;  // gemidelden lux voor saveSens[LUX_2][n] en LCD 
#ifdef LCD  
  toonTemp();
  toonLux(); 
#endif
  /***** 1x per min. opslaan en 1x per 10 min. testen op schakelen *****/
  if (verwerken)
  {  // true: 1 maal per minuut uit loop() 
    saveSens[TEMP_2][telSens_2] = temp;  // temp opslaan voor gem. uit 10 laatste metingen
    saveSens[LUX_2][telSens_2] = lux;  // lux opslaan voor gem. uit 10 laatste metingen
    telSens_2++;
    if (telSens_2 > 9)
    { // eens per 10x (is per 10 minuten) testen voor Op/Neer
      telSens_2 = 0;  // in lus van 10e (9) naar 1e (0) plek
      temp = 0;
      lux = 0;
      for (byte i = 0; i < 10; i++)
      {  // totalen
        temp += saveSens[TEMP_2][i];  // temp optellen
        lux += saveSens[LUX_2][i];  // lux optellen
      }
      temp = temp / 10;  // gemiddelden temp voor schakel drempels
      lux = lux / 10;  // gemiddelden lux voor schakel drempels
      if (temp > schakelTemp) screenTemp = true;  // temp drempels?
      else if (temp < (schakelTemp - 1.0)) screenTemp = false;
      if (lux > schakelLuxNeer) screenLux = true;  // lux drempels?
      else if (lux < schakelLuxOp) screenLux = false;
    } 
  }
}
#endif
