#include "MCP9701temp.h"
#include "GL5528lux.h"

byte tempPin = A0;  // sensor pins
byte luxPin = A1;

void setup()
{
  Serial.begin(9600);
  Temp.setTempComp(0.8);  // add temperature compensation
  Temp.begin(tempPin);  // init temperature
  Lux.setLuxComp(0);  // add lux compensation
  Lux.begin(luxPin);  // init lux
}

void loop()
{
  Serial.print("temp: ");
  Serial.println(Temp.getTemp());  // write temperature
  Serial.print("lux : ");
  Serial.println(Lux.getLux());  // write lux
  delay(500);
}
