#ifndef _GL5528LUX_h
#define _GL5528LUX_h

#if defined(ARDUINO)
#if ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif
#elif defined(SPARK_CORE)
	#include "application.h"
#endif

class LuxClass
{
private:
  byte  _pin;
  float _comp;
  float _lux;
public:
  void setLuxComp(byte comp);  // sensor correction light
  void begin(byte pin);  // use this first to set the sensor PIN
  int getLux();          //     then jou can use this
};

extern LuxClass Lux;

#endif

