#include <Time.h>
#include <Streaming.h>
#include "TimeDate.h"

void setup()
{
  Serial.begin(9600);
  delay(2000);
  setTime(19, 56, 22, 13, 5, 14);  // time as UTC/GMT 
  char ad[] = "xd xm dd mm DD MMM yyyy", sd1[] = "dd-mm-yyyy", sd2[] = "xm/xd/yyyy", ld[] = "DD xd MMM yyyy";
  Serial << F("\tFormatted with the formatTime function:") << endl << endl <<
      TD.formatTime(now(), true, false) << endl << 
      TD.formatTime(now(), false, false) << endl << 
      TD.formatTime(now(), true, true) << endl << 
      TD.formatTime(now(), false, true) << endl << endl <<
      F("\tFormatted with the formatDate function:") << endl <<
      F("Use a format char* string with one or more of these options, allowable delimiters: ' ', '-', '/'\r\n") << endl <<
      F("format as: ") << ad << F("\r\nresult is: ") << TD.formatDate(now(), ad) << endl << endl <<
      sd1 << endl << TD.formatDate(now(), sd1) << endl << endl <<
      sd2 << endl << TD.formatDate(now(), sd2) << endl << endl <<
      ld << endl << TD.formatDate(now(), ld) << endl;
}

void loop()
{
  
}




