/********************
 ***** diversen *****
 ********************/

/*****
 * int freeRam ()
 * {  // test
 * extern int __heap_start, *__brkval; 
 * int v; 
 * return (int) &v - (__brkval == 0 ? (int) &__heap_start : (int) __brkval); 
 * }
 *****/

void beeps(byte n) 
{  // beepjes n=aantal
  byte d = 150;  // tijd per beep in msec.
  for (byte i = 0; i < n; i++) 
  {
    tone(8, 3000, d);  // luidspreker aan pin D8, 3000Hz, 0.15 sec 
    delay(2 * d);
  }
}

String fD(float getal, String formatStr)
{
  /* formatGetal
   * formatStr: "0212" voorlopende NULlen, 2 decimalen en minimaal 12 tekens breed 
   * formatStr: " 07" voorlopende spaties geen decimalen en minimaal 7 tekens breed */
  char vulTeken = formatStr[0]; //strToChr(formatStr)[0];
  byte decimalen = formatStr.substring(1, 2).toInt();
  byte breed = formatStr.substring(2).toInt();
  /***** om onduidelijke reden soms een geheugen lek, met lengte +3 i.p.v. +1 en 000 aan het eind geen last meer *****/
  byte len = breed + 3;
  char c[len]; 
  for (byte i = len - 3; i < len; i++) c[i] = 0;
  dtostrf(getal, breed, decimalen, c);
  for (int i = 0; i < breed; i++) if (c[i] == ' ') c[i] = vulTeken;
  return c;
}

String fS(String s, String formatStr)
{
  /* formatString
   * formatStr: "+_12" links uitvullen met "_" en minimaal 12 tekens breed 
   * formatStr: "- 7" rechts uitvullen met " " en minimaal 7 tekens breed */
  boolean links = formatStr.substring(0, 1) == "+";
  String vulTeken = formatStr.substring(1, 2);
  byte breed = formatStr.substring(2).toInt();
  byte n = breed - s.length();
  if (n > 0) 
    if (links) for (byte i = 0; i < n; i++) s = vulTeken + s;
    else for (byte i = n; i > 0; i--) s += vulTeken;
  return s;
}


