#include <EEPROM.h>

/* HomeSwitch laadt de instellingen uit EEPROM indien address 0='H' en 1='S' (HS van HomeSwitch).
 Staat HS in EEPROM en je in HomeSwitch handmatig de instellengen wijzigd dan is dat totaal
 nutteloos, daar ze bij opstrarten/reset, door de waarden in EEPROM, worden overschreven.
 Indien EEPROM address 0 en/of 1 een afwijkende waarde hebben dan neemt HomeSwitch wel 
 de handmatig gewijzigde waarden over en plaats ze ook in EEPROM.
 
 Deze sketch zet de eertse 2 EEPROM addresses op de waarde 255.
 Daarna kun je de instellingen in HomeSwitsch aanpassen en uploaden.
 
 Deze sketch heeft alleen nut als je de PC/Android App niet kunt of wil gebruiken. Bij een Update 
 worden de nieuwe instellingen ook in EEPROM opgeslagen
 */



void setup()
{
  EEPROM.write(0, 255);
  EEPROM.write(1, 255);
  pinMode(13, OUTPUT);
  digitalWrite(13, HIGH);  // ##### GEREED!! Arduino LED-13 gaat aan 
}

void loop() {}


