#ifndef _MCP9701TEMP_H
#define _MCP9701TEMP_H

#if defined(ARDUINO)
#if ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif
#elif defined(SPARK_CORE)
	#include "application.h"
#endif

class TempClass
{
private:
  byte  _pin;
  float _comp;
  float _temp;
public:
  void setTempComp(float comp);  // sensor correction temperature
  void begin(byte pin);  // use this first to set the sensor PIN
  float getTemp();       //     then jou can use this
};

extern TempClass Temp;

#endif